Create Databricks Instance
This API is used to create a databricks instance
- application/json
Request Body
Creating databricks instance
dataAccessNodes object
dataAccessNodes object[]
clientId integerID of the access node
clientName string requiredName of the access node
dataAccessNodeGroups object[]
clientGroupId integerID of the access node group
clientGroupName string requiredName of the access node group
plan object
planName string requiredName of the plan to be associated with the instance
clientName object
clientName string requiredName of the databricks instance
databricksConfig object
accountID string requiredID of the databricks account
accountName string requiredName of the databricks instance
clientIdSecret object
credentialId integerID of the databricks service principal credential
credentialName string requiredName of the databricks service principal credential
vendor string requiredDatabricks Vendor
automaticMetastoreBackupEnable boolean requiredmetastores object[]
name string requiredName of the metastore
id string requiredID of the metastore
region string requiredRegion of the metastore
storageAccountName string requiredName of the storage account to be associated with the metastore
databricksWorkspaceSQLWarehouseMappingList object
databricksWorkspaceSQLWarehouseMappingList object[]
workspaceName string requiredName of the workspace to be mapped with the metastore
workspaceId string requiredID of the workspace to be mapped with the metastore
sqlWarehouseName string requiredName of the SQL warehouse to be associated with this workspace
sqlWarehouseId string requiredID of the SQL warehouse to be associated with this workspace
staging object
recordType integertype 4 for azure staging
stagingCredentials object
credentialId integerID of the azure app credential
credentialName string requiredName of the azure app credential
description stringdescription of the staging credentials
recordType integertype 4 for azure staging
selected booleantrue for selected.
stagingPath stringStaging path where the data needs to be staged during backups and restores.
stagingType integertype 1 for azure staging
- aiAppInstanceType integer required
Type of AI App. 23 for databricks.
- regionInfo object
- 200
- 401
OK
- application/json
- Schema
- Example (from schema)
- Example 1
Schema
processinginstructioninfo object
attributes object[]
name stringvalue stringresponse object
errorCode integerentity object
clientId integer_SubclType_ integerclientName stringinstanceId integer_type_ integer
{
"processinginstructioninfo": {
"attributes": [
{
"name": "string",
"value": "string"
}
]
},
"response": {
"errorCode": 0,
"entity": {
"clientId": 0,
"_SubclType_": 0,
"clientName": "string",
"instanceId": 0,
"_type_": 0
}
}
}
{
"processinginstructioninfo": {
"attributes": [
{
"name": "exitval",
"value": "0"
}
]
},
"response": {
"errorCode": 0,
"entity": {
"clientId": 868,
"_SubclType_": 0,
"clientName": "",
"instanceId": 843,
"_type_": 3
}
}
}
Unauthorized
- application/json
- Schema
- Example (from schema)
- Example 1
Schema
- errorMessage string
- errorCode integer
{
"errorMessage": "string",
"errorCode": 0
}
{
"errorMessage": "Access Denied",
"errorCode": 5
}